/* ==================================================
 سبد خرید
================================================== */

/******* CART-content *******/
.CART-content {
    background: var(--BG-B);
    border: 1px solid white;
    border-left: 0;
    border-right: 0;
    padding: 30px 0;
    margin-top: 40px;
    box-shadow: 0 -10px 20px 0px rgb(0 0 0 / 6%);
}

/* ==================================================
 سبد خرید خالی است
================================================== */
.woocommerce .woocommerce-info {
    border-top-color: var(--B);
    color: var(--F);
}

.woocommerce .woocommerce-info::before {
    color: var(--B);
}

/*----------------------------------
   ریسپانسیو 
  ----------------------------------*/
@media screen and (max-width: 768px) {
    .woocommerce .woocommerce-info {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        text-align: center;
    }
}

/* ==================================================
 دکمه بازگشت به فروشگاه
================================================== */
.woocommerce .return-to-shop .button {
    padding: 15px 40px;
    color: var(--F);
    border: 1px solid var(--B-border);
    background-color: var(--B);
    border-radius: 3px;
}

.woocommerce .return-to-shop .button:hover {
    color: var(--F);
    border: 1px solid var(--C-border);
    background-color: var(--C);
}

/*----------------------------------
   ریسپانسیو 
  ----------------------------------*/
@media screen and (max-width: 768px) {
    .woocommerce .return-to-shop .button {
        width: 100%;
        text-align: center;
    }
}

/* ==================================================
 پیام های سبد خرید
================================================== */
.woocommerce .woocommerce-message {
    border-top-color: var(--B);
    color: var(--F);
    outline: none;
}

.woocommerce .woocommerce-message .button {
    padding: 15px 40px;
    color: var(--F);
    border: 1px solid var(--B-border);
    background-color: var(--B);
    border-radius: 3px;
}

.woocommerce .woocommerce-message .button:hover {
    color: var(--F);
    border: 1px solid var(--C-border);
    background-color: var(--C);
}

.woocommerce .woocommerce-message::before {
    color: var(--B);
}

.woocommerce .woocommerce-message a.restore-item {
    color: var(--H);
    font-weight: 600;
}

/*----------------------------------
   ریسپانسیو 
  ----------------------------------*/
@media screen and (max-width: 768px) {
    .woocommerce .woocommerce-message {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        text-align: center;
    }

    .woocommerce .woocommerce-message .button {
        width: 100%;
        margin-top: 10px;
    }
}

/* ==================================================
 پیام های خطا در سبد خرید
================================================== */
.woocommerce .woocommerce-error {
    border-top-color: var(--B);
    color: var(--F);
    outline: none;
}

.woocommerce .woocommerce-error li {
    margin: 40px 0;
}

.woocommerce .woocommerce-error .button {
    padding: 15px 40px;
    color: var(--F);
    border: 1px solid var(--B-border);
    background-color: var(--B);
    border-radius: 3px;
}

.woocommerce .woocommerce-error .button:hover {
    color: var(--F);
    border: 1px solid var(--C-border);
    background-color: var(--C);
}

/* ==================================================
 جدول سبد خرید
================================================== */
.woocommerce-cart .product-quantity,
.woocommerce-cart .product-thumbnail,
.woocommerce-cart .product-subtotal {
    display: none;
}

/******* بالای جدول *******/
.woocommerce table.shop_table {
    border: 0;
    background: var(--BG-A);
}

.woocommerce-cart th.product-remove {
    width: 10%;
}

.woocommerce-cart th.product-name {
    width: 70%;
}

.woocommerce-cart th.product-price {
    width: 20%;
}

.woocommerce table.shop_table th {
    text-align: center;
    padding: 15px 5px;
    font-size: 25px;
    font-weight: 100;
    color: var(--A);
    font-family: 'javan';
}

@media screen and (max-width: 768px) {
    .woocommerce table.shop_table {
        background: white;
    }
}

/******* ضربدر *******/
.woocommerce-cart .product-remove .remove {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 32px;
    height: 32px;
    border-radius: 50%;
    background: var(--A) !important;
    color: var(--C) !important;
    font-size: 18px;
    line-height: 1;
    text-decoration: none;
    font-size: 30px;
    text-align: center;
}

.woocommerce-cart .product-remove .remove:hover {
    color: white;
}

/*----------------------------------
   ریسپانسیو 
  ----------------------------------*/
@media screen and (max-width: 768px) {
    .woocommerce-page table.shop_table_responsive tbody tr td:nth-child(1) {
        display: flex;
        justify-content: center;
        height: 50px;
        background-color: var(--BG-C);
        padding: 0;
    }

    .woocommerce-cart .product-remove .remove {
        background: var(--BG-C) !important;
        color: var(--A) !important;
    }
}

/******* محصولات جدول *******/
.woocommerce table.shop_table td {
    background: var(--BG);
    text-align: center;
}

.woocommerce table.shop_table td a {
    color: var(--A);
}

.woocommerce table.shop_table td a:hover {
    color: var(--H);
}

/*----------------------------------
   ریسپانسیو 
  ----------------------------------*/
@media screen and (max-width: 768px) {
    .woocommerce table.shop_table td a {
        font-weight: 600;
        margin: 10px 0;
    }
}

/******* قیمت جدول *******/
.woocommerce span.woocommerce-Price-amount {
    color: var(--E);
    font-weight: 600;
    font-size: 25px;
}

.woocommerce-Price-currencySymbol {
    color: #222f3e;
    font-weight: 100;
    font-size: 15px;
}

/*----------------------------------
   ریسپانسیو 
  ----------------------------------*/
@media screen and (max-width: 768px) {

    .woocommerce table.shop_table_responsive tr td::before,
    .woocommerce-page table.shop_table_responsive tr td::before {
        display: none;
    }

    .woocommerce-cart th.product-remove {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
    }

    .woocommerce-cart th.product-remove a {
        align-items: center;
        width: fit-content;
        width: 100%;
    }

    .woocommerce table.shop_table_responsive tr td,
    .woocommerce-page table.shop_table_responsive tr td {
        text-align: center !important;
    }

    .woocommerce-cart .product-subtotal,
    .woocommerce-cart .product-quantity {
        display: none !important;
    }
}

/* ==================================================
 دکمه بروزرسانی
================================================== */
.woocommerce-cart button[name="update_cart"] {
    padding: 15px 40px;
    color: var(--F) !important;
}


/*----------------------------------
   ریسپانسیو 
  ----------------------------------*/
@media screen and (max-width: 768px) {
    .woocommerce-cart button[name="update_cart"] {
        width: 100%;
        text-align: center;
    }
}

/* ==================================================
 مجموع کل سبد
================================================== */
.woocommerce .cart-collaterals .cart_totals,
.woocommerce-page .cart-collaterals .cart_totals {
    width: 100%;
}

.woocommerce .cart-subtotal {
    display: none;
}

.woocommerce .cart-collaterals h2 {
    text-align: center;
    margin-top: -15px;
    margin-bottom: 5px;
}

.woocommerce-cart .cart-collaterals .cart_totals table {
    max-width: 768px;
    margin: 0 auto;
}

.cart-collaterals .cart_totals table th {
    display: none;
}

.woocommerce .cart-collaterals .cart_totals tr td {
    background: white;
    border: 0;
}


/* ==================================================
 ادامه جهت خرید آنلاین
================================================== */
.woocommerce .wc-proceed-to-checkout a {
    max-width: 380px;
    margin: auto;
    padding: 10px !important;
    color: var(--F) !important;
    border: 1px solid var(--B-border) !important;
    background-color: var(--B) !important;
    border-radius: 8px !important;
    text-shadow: 0 1px 2px rgba(48, 4, 4, 0.5);
}

.woocommerce .wc-proceed-to-checkout a:hover {
    color: var(--F) !important;
    border: 1px solid var(--C-border) !important;
    background-color: var(--C) !important;
}

/* افزودن آیکن به دکمه */
.woocommerce-cart .wc-proceed-to-checkout a.checkout-button {
    display: flex;
    align-items: center;
    justify-content: space-around;
    font-size: 25px;
    font-weight: 100;
    font-family: javan;
}

.woocommerce-cart .checkout-button::after {
    font-family: "Font Awesome 6 Duotone";
    content: "\f137";
    background-color: white;
    border-radius: 50%;
    font-size: 40px;
    margin-right: 10px;
}

/*----------------------------------
   ریسپانسیو 
----------------------------------*/
@media screen and (max-width: 768px) {
    .woocommerce .cart-subtotal {
        display: none !important;
    }

    .woocommerce .cart-collaterals h2 {
        text-align: center !important;
    }
}